Skip to main content
PUT
/
workspaces
/
{workspacePublicId}
/
webhooks
/
{webhookPublicId}
Update a webhook
curl --request PUT \
  --url https://kan.bn/api/v1/workspaces/{workspacePublicId}/webhooks/{webhookPublicId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "url": "<string>",
  "secret": "<string>",
  "events": [],
  "active": true
}
'
{
  "publicId": "<string>",
  "name": "<string>",
  "url": "<string>",
  "events": [],
  "active": true,
  "createdAt": "<string>",
  "updatedAt": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.kan.bn/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspacePublicId
string
required
Minimum string length: 12
webhookPublicId
string
required
Minimum string length: 12

Body

application/json
name
string
Required string length: 1 - 255
url
string<uri>
Maximum string length: 2048
secret
string
Maximum string length: 512
events
enum<string>[]
Minimum array length: 1
Available options:
card.created,
card.updated,
card.moved,
card.deleted
active
boolean

Response

Successful response

publicId
string
required
name
string
required
url
string
required
events
enum<string>[]
required
Available options:
card.created,
card.updated,
card.moved,
card.deleted
active
boolean
required
createdAt
string
required
updatedAt
string | null
required